LOCALE(1)

NAME
locale - get locale-specific information

SYNOPSIS
locale [-a | -m]
locale -k list [prefix]
locale [-ck] keyword ...

DESCRIPTION
The locale utility is supposed to provide most locale specific information to the standard output.

When locale is invoked without arguments, it will print out a summary of the current locale environment, subject to the environment settings and internal status.

When locale is invoked with the keyword arguments, and no options are specified, it will print out the values of all keywords specified, using the current locale settings.

The following options are available:

-a  Print names of all available locales. While looking for locales, locale will respect the PATH_LOCALE environment variable, and use it instead of the system's default locale directory.

-m  Print names of all available charmaps.

-k  Print the names and values of all selected keywords.

-c  Print the category name for all selected keywords.

IMPLEMENTATION NOTES
The special (FreeBSD specific) keyword list can be used to retrieve the human readable list of all available keywords. If so, a prefix string can be defined to limit the amount of keywords returned.

EXIT STATUS

SEE ALSO
setlocale(3)

BUGS
Since FreeBSD does not support charmaps in their POSIX meaning, locale emulates the -m option using the CODESETs listing of all available locales.